Package org.jacoco.report.internal.html

## Interface IHTMLReportContext

All Known Implementing Classes:
  `HTMLFormatter`

    public interface IHTMLReportContext

Context and configuration information during creation of a HTML report.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getFooterText()` Returns a string of textual information to include in every page footer.
`IIndexUpdate` `getIndexUpdate()` Returns the service for index updates.
`ILanguageNames` `getLanguageNames()` Returns the language names call-back used in this report.
`java.util.Locale` `getLocale()` Returns the locale used to format numbers and dates.
`java.lang.String` `getOutputEncoding()` Returns the encoding of the generated HTML documents.
`Resources` `getResources()` Returns the static resources used in this report.
`ILinkable` `getSessionsPage()` Returns the link to the sessions page.
`Table` `getTable()` Returns a table for rendering coverage nodes.

### Method Detail

#### getResources

    Resources getResources()

Returns the static resources used in this report.

Returns:
  static resources

#### getLanguageNames

    ILanguageNames getLanguageNames()

Returns the language names call-back used in this report.

Returns:
  language names

#### getTable

    Table getTable()

Returns a table for rendering coverage nodes.

Returns:
  table for rendering

#### getFooterText

    java.lang.String getFooterText()

Returns a string of textual information to include in every page footer.

Returns:
  footer text or empty string

#### getSessionsPage

    ILinkable getSessionsPage()

Returns the link to the sessions page.

Returns:
  sessions page link

#### getOutputEncoding

    java.lang.String getOutputEncoding()

Returns the encoding of the generated HTML documents.

Returns:
  encoding for generated HTML documents

#### getIndexUpdate

    IIndexUpdate getIndexUpdate()

Returns the service for index updates.

Returns:
  sevice for indes updates

#### getLocale

    java.util.Locale getLocale()

Returns the locale used to format numbers and dates.

Returns:
  locale for numbers and dates